#!/bin/sh

SOURCE_DIR=$(realpath $(dirname "${0}"))/solr

# Check prerequisites
docker image ls | grep -q java || $(realpath $(dirname "${0}"))/java.sh

# Build Docker container
docker build -t solr ${SOURCE_DIR}
cp ${SOURCE_DIR}/etc/init.d/solr /etc/init.d/solr
rc-update -u

# Configure Solr
mkdir -p /srv/solr/data
cp ${SOURCE_DIR}/srv/solr/data/solr.xml /srv/solr/data/solr.xml
cp ${SOURCE_DIR}/srv/solr/data/.solr.in.sh /srv/solr/data/.solr.in.sh
chown -R 8983:8983 /srv/solr/data
